Bug 111256 - Box-shadow displayed improperly with border-radius.
Summary: Box-shadow displayed improperly with border-radius.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows 7
: P2 Normal
Assignee: Takashi Sakamoto
URL: http://www.harmageddon.broesel.org/ts...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-02 13:31 PST by Harmageddon
Modified: 2013-03-06 23:54 PST (History)
3 users (show)

See Also:


Attachments
Screenshot showing the bug in webkit browsers and the proper display in other browsers. (17.80 KB, image/jpeg)
2013-03-02 13:31 PST, Harmageddon
no flags Details
Patch (6.03 KB, patch)
2013-03-05 01:21 PST, Takashi Sakamoto
no flags Details | Formatted Diff | Diff
Patch (9.91 KB, patch)
2013-03-06 22:23 PST, Takashi Sakamoto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Harmageddon 2013-03-02 13:31:46 PST
Created attachment 191118 [details]
Screenshot showing the bug in webkit browsers and the proper display in other browsers.

When testing my site (http://www.harmageddon.broesel.org/tsghntt/) on Chrome and Safari, I noticed that the "Weiterlesen" (Read more) buttons are not displayed properly in these browsers. The box-shadow doesn't blend in the rounded corners at the bottom. This problem seems only to occur, if the following conditions are given:

    box-shadow: <value 1> <value 2> <value 3> -1px;
    border-radius: 0 0 2em 2em OR 2em 2em 0 0;

It's very odd - I tried to create a HTML "showcase" for this bug, but I couldn't reproduce it outside of this site.

I tested this bug with the latest Webkit nightly for Windows from http://nightly.webkit.org/, "WebKit r131444". A screenshot with the different displays in Firefox / Opera and Webkit browsers is attached to this report.
Comment 1 Takashi Sakamoto 2013-03-05 01:21:31 PST
Created attachment 191431 [details]
Patch
Comment 2 WebKit Review Bot 2013-03-05 01:23:15 PST
Attachment 191431 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast/borders/border-radius-with-box-shadow-01-expected.txt', u'LayoutTests/fast/borders/border-radius-with-box-shadow-01.html', u'LayoutTests/platform/chromium-linux/fast/borders/border-radius-with-box-shadow-01-expected.png', u'Source/WebCore/ChangeLog', u'Source/WebCore/platform/graphics/RoundedRect.cpp']" exit_code: 1
LayoutTests/platform/chromium-linux/fast/borders/border-radius-with-box-shadow-01-expected.png:0:  Have to enable auto props in the subversion config file (/home/alancutter/.subversion/config "enable-auto-props = yes"). Have to set the svn:mime-type in the subversion config file (/home/alancutter/.subversion/config "*.png = svn:mime-type=image/png").  [image/png] [5]
Total errors found: 1 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Simon Fraser (smfr) 2013-03-05 10:26:42 PST
Comment on attachment 191431 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=191431&action=review

> LayoutTests/fast/borders/border-radius-with-box-shadow-01.html:10
> +#target {
> +    width: 100px;
> +    height: 18px;
> +    box-shadow: 0 0 5px -1px #777777;
> +    border-radius: 0 0 19px 19px;
> +}

Please make this much bigger so the bug/fix is more obvious.
Comment 4 Takashi Sakamoto 2013-03-06 22:23:43 PST
Created attachment 191919 [details]
Patch
Comment 5 Takashi Sakamoto 2013-03-06 22:24:46 PST
Comment on attachment 191431 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=191431&action=review

Thank you for reviewing.

>> LayoutTests/fast/borders/border-radius-with-box-shadow-01.html:10
>> +}
> 
> Please make this much bigger so the bug/fix is more obvious.

Sure. Done.
Comment 6 WebKit Review Bot 2013-03-06 22:32:05 PST
Attachment 191919 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast/borders/border-radius-with-box-shadow-01-expected.txt', u'LayoutTests/fast/borders/border-radius-with-box-shadow-01.html', u'LayoutTests/platform/chromium-linux/fast/borders/border-radius-with-box-shadow-01-expected.png', u'Source/WebCore/ChangeLog', u'Source/WebCore/platform/graphics/RoundedRect.cpp']" exit_code: 1
LayoutTests/platform/chromium-linux/fast/borders/border-radius-with-box-shadow-01-expected.png:0:  Have to enable auto props in the subversion config file (/home/alancutter/.subversion/config "enable-auto-props = yes"). Have to set the svn:mime-type in the subversion config file (/home/alancutter/.subversion/config "*.png = svn:mime-type=image/png").  [image/png] [5]
Total errors found: 1 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 WebKit Review Bot 2013-03-06 23:54:52 PST
Comment on attachment 191919 [details]
Patch

Clearing flags on attachment: 191919

Committed r145044: <http://trac.webkit.org/changeset/145044>
Comment 8 WebKit Review Bot 2013-03-06 23:54:55 PST
All reviewed patches have been landed.  Closing bug.